package com.kingdee.eas.custom.projectbonus.web.service;

import com.kingdee.eas.custom.projectbonus.BonusCycleBusDepProjectAssPersonnelDetailInfo;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.shr.base.syssetting.app.io.fileImport.BaseImportService;
import com.kingdee.shr.base.syssetting.app.io.fileImport.BaseRowInfo;
import com.kingdee.shr.base.syssetting.app.io.fileImport.ImportException;
import com.kingdee.util.StringUtils;


/**
 * @Description Աϸбģ(רԱ)
 * @Date 2024/5/7 21:28
 * @Created by Heyuan
 */
public class PersonnelDetailImportService extends BaseImportService {
    /**
     * ȡַ
     *
     * @param row
     * @return
     */
    @Override
    protected String getPKSelectString(BaseRowInfo row) {
        String parentId = this.getCustomParam("parentId");
        String busDepIds = this.getCustomParam("busDepIds");
        if (StringUtils.isEmpty(parentId)) {
            throw new RuntimeException("parentIdΪ!");
        }
        String pkSelectString = super.getPKSelectString(row);
        StringBuilder pkString = new StringBuilder(pkSelectString);
        pkString.append("and parent.id ='").append(parentId).append("'");
        if (StringUtils.isEmpty(busDepIds)) {
            pkString.append(" and busDep.id in ('").append(busDepIds.replace(",", "','")).append("')");
        }
        return pkString.toString();
    }

    /**
     * ǰ÷
     *
     * @param coreBaseInfo
     * @throws ImportException
     */
    @Override
    protected void beforeSubmitData(CoreBaseInfo coreBaseInfo) throws ImportException {
        super.beforeSubmitData(coreBaseInfo);
        BonusCycleBusDepProjectAssPersonnelDetailInfo info = (BonusCycleBusDepProjectAssPersonnelDetailInfo) coreBaseInfo;
        String parentId = this.getCustomParam("parentId");
        info.put("parent", parentId);
    }
}
